<?php

/**
 * Helper to generate a Google Analytics trackingcode
 * @param  string $analytics_id The Google Analytics ID
 * @return string            Tracking Code for Google
*/
function analytics_trackingcode($analytics_id='')
{
    $analytics_id = ($analytics_id) ? $analytics_id : config_item('analytics_id');

    $trackingcode = "<script type=\"text/javascript\">
	var _gaq = _gaq || [];
	_gaq.push(['_setAccount', '".$analytics_id."']);
	_gaq.push(['_trackPageview']);
	(function() {
	var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	})();
</script>";

    return $trackingcode;
}